Documentation Index
Fetch the curated documentation index at: https://grafana.com/llms.txt
Fetch the complete documentation index at: https://grafana.com/llms-full.txt
Use this file to discover all available pages before exploring further.
STOP! If you are an AI agent or LLM, read this before continuing. This is the HTML version of a Grafana documentation page. Always request the Markdown version instead - HTML wastes context. Get this page as Markdown: https://grafana.com/docs/grafana/v12.4/developer-resources/api-reference/http-api/other.md (append .md) or send Accept: text/markdown to https://grafana.com/docs/grafana/v12.4/developer-resources/api-reference/http-api/other/. For the curated documentation index, use https://grafana.com/llms.txt. For the complete documentation index, use https://grafana.com/llms-full.txt.
Important: This documentation is about an older version. It's relevant only to the release noted, many of the features and functions have been updated or replaced. Please view the current version.
Frontend Settings API
Get Settings
GET /api/frontend/settings
Example Request:
GET /api/frontend/settings HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbkExample Response:
HTTP/1.1 200
Content-Type: application/json
{
"allowOrgCreate":true,
"appSubUrl":"",
"buildInfo":{
"buildstamp":xxxxxx,
"commit":"vyyyy",
"version":"zzzzz"
},
"datasources":{
"datasourcename":{
"index":"grafana-dash",
"meta":{
"annotations":true,
"module":"plugins/datasource/grafana/datasource",
"name":"Grafana",
"partials":{
"annotations":"app/plugins/datasource/grafana/partials/annotations.editor.html",
"config":"app/plugins/datasource/grafana/partials/config.html"
},
"pluginType":"datasource",
"serviceName":"Grafana",
"type":"grafanasearch"
}
}
},
"defaultDatasource": "Grafana"
}Login API
Renew session based on remember cookie
GET /api/login/ping
Example Request:
GET /api/login/ping HTTP/1.1
Accept: application/json
Content-Type: application/json
Authorization: Bearer eyJrIjoiT0tTcG1pUlY2RnVKZTFVaDFsNFZXdE9ZWmNrMkZYbkExample Response:
HTTP/1.1 200
Content-Type: application/json
{"message": "Logged in"}Health API
Returns health information about Grafana
GET /api/health
Example Request
GET /api/health
Accept: application/jsonExample Response:
HTTP/1.1 200 OK
{
"commit": "087143285",
"database": "ok",
"version": "5.1.3"
}Was this page helpful?
Related resources from Grafana Labs


